2017-09-22 08:05 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0013765CentOS-7gnome-terminalpublic2017-09-04 21:07
Reporterrudolf@palaticky.com 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version7.4.1708 
Summary0013765: wrong colors with "Use colors from system theme"
Descriptiongnome-terminal 3.22.1 has wrong colors in default configuration. Terminal should be black text on white background, instead it has dark background and almost invisible text.

RHEL7.4 is not affected, IMO it is CentOS issue.
Additional InformationName : gnome-terminal
Arch : x86_64
Version : 3.22.1
Release : 2.el7
TagsNo tags attached.
abrt_hash
URL
Attached Files

-Relationships
+Relationships

-Notes

~0029985

rudolf@palaticky.com (reporter)

just noticed that GTK Inspector shows different css nodes in CentOS7.4 and RHEL7.4 for gnome-terminal window.

On RHEL css node is "vte-terminal"
On CentOS css node is "widget"

~0029986

rudolf@palaticky.com (reporter)

I have installed vte291 library from official Red Hat RPM package and issue is fixed.

So problem is actually in CentOS’s rebuild of vte291 library.

~0029987

rudolf@palaticky.com (reporter)

devs: was vte291 built with gtk 3.22 ?

Looking at vte291 source gives me hints that gtk older than 3.19.5 will cause vte291 to build without correct VTE_TERMINAL_CSS_NAME.
FYI see comment #1 here https://bugzilla.gnome.org/show_bug.cgi?id=763538#c1

~0029988

toracat (manager)

Thanks for the report. Confirmed by the QA team.

~0029989

rudolf@palaticky.com (reporter)

Thx for confirmation.

It seems from buildlog that vte291 was indeed compiled against gtk3-devel-3.14.13-20 https://buildlogs.centos.org/c7.1708.00/vte291/20170804081736/0.46.2-1.el7.x86_64/root.log

So I recompiled srpm against 3.22 and everything is okay.

~0029995

tigalch (manager)

A new version was built today. This version fixes the font color issue, and is allready released into CR.
The iso images and tree for 7(1708) will include this fixed version.
+Notes

-Issue History
Date Modified Username Field Change
2017-09-03 12:16 rudolf@palaticky.com New Issue
2017-09-03 12:16 rudolf@palaticky.com File Added: Screenshot from 2017-09-03 14-15-22.png
2017-09-03 13:25 rudolf@palaticky.com File Added: gtkinspector-rhel7.4.png
2017-09-03 13:25 rudolf@palaticky.com Note Added: 0029985
2017-09-03 13:26 rudolf@palaticky.com File Added: gtkinspector-centos7.4.png
2017-09-03 13:59 rudolf@palaticky.com Note Added: 0029986
2017-09-03 16:11 rudolf@palaticky.com Note Added: 0029987
2017-09-03 16:20 toracat Status new => acknowledged
2017-09-03 16:51 toracat Status acknowledged => confirmed
2017-09-03 16:51 toracat Note Added: 0029988
2017-09-04 08:33 rudolf@palaticky.com Note Added: 0029989
2017-09-04 21:07 tigalch Status confirmed => resolved
2017-09-04 21:07 tigalch Resolution open => fixed
2017-09-04 21:07 tigalch Fixed in Version => 7.4.1708
2017-09-04 21:07 tigalch Note Added: 0029995
+Issue History